wibble::Maybe< void > Struct Template Reference

`#include <maybe.h>`

## Public Member Functions

| Maybe ()

## Static Public Member Functions

static Maybe | Just ()
static Maybe | Nothing ()

## Constructor & Destructor Documentation

## Maybe()

wibble::Maybe< void >::Maybe | ( |  | ) |

inline

## Member Function Documentation

## Just()

static Maybe wibble::Maybe< void >::Just | ( |  | ) |

inline static

References wibble::Maybe< T >::Maybe().

## Nothing()

static Maybe wibble::Maybe< void >::Nothing | ( |  | ) |

inline static

References wibble::Maybe< T >::Maybe().

The documentation for this struct was generated from the following file:

- maybe.h